Page MenuHomePhabricator

Help panel: Determine what text and links to show in the help panel on KO wikipedia
Closed, ResolvedPublic

Description

From T209297: Help panel: Determine what text and links to show in the help panel on KO and CS wikis

Goal:
  1. Determine the top 5 help pages/articles that users should be shown when opening the Help panel for Korean Wikipedia (aka most asked questions in an editing context).
    • they can be different for each editor: if a page (or a specific section) exists for wikitext editing, visual editing or mobile editing, they should be provided.
      • Editors are : Mobile visual editor, Mobile wikitext editor, Desktop visual editor, Desktop 2017 wikitext editor and Desktop 2010 wikitext editor
    • please provide the index of help pages too
  2. Determine what the "main" area should be to search for more help content (this would ideally be the contents area from the same place as the top 5 links). The mockup below uses EN as an example, we've used help pages within the Help: namespace:

Details

Event Timeline

Trizek-WMF triaged this task as Normal priority.Nov 14 2018, 10:56 AM
Trizek-WMF created this task.
Trizek-WMF created this object with edit policy "Custom Policy".
Restricted Application added a project: User-revi. · View Herald TranscriptNov 14 2018, 10:56 AM
revi moved this task from Incoming to Doing on the User-revi board.Nov 15 2018, 2:45 AM
Trizek-WMF updated the task description. (Show Details)Nov 15 2018, 5:37 PM
Trizek-WMF changed the edit policy from "Custom Policy" to "All Users".
Trizek-WMF raised the priority of this task from Normal to High.Nov 26 2018, 6:35 PM

Raisins up the priority: we would need those links this week please. :)

Trizek-WMF updated the task description. (Show Details)Nov 27 2018, 1:50 PM
MMiller_WMF renamed this task from Help pane: Determine what text and links to show in the help pane on KO wikipedia to Help panel: Determine what text and links to show in the help panel on KO wikipedia.Nov 29 2018, 7:13 PM
MMiller_WMF updated the task description. (Show Details)

We need some links for testing. They can be changed later.

revi lowered the priority of this task from High to Normal.Dec 11 2018, 3:45 PM

SITREP: Initial data is on the spreadsheet. I'll translate VE guide on MW.org (preferably) before the Christmas, and apply it onto the spreadsheet.

Thanks, @revi. We are leaving this "In Progress" since you're still working on assembling better links.

revi closed this task as Resolved.Jan 9 2019, 2:08 PM
revi moved this task from Doing to Closed on the User-revi board.

Text and link for the help docs has been decided and posted on spreadsheet.

We'll be displaying VE desktop's link to everybody until we can differentiate editors users are using.
Closing.

Change 483996 had a related patch set uploaded (by Revi; owner: Revi):
[operations/mediawiki-config@master] [WIP] Change links of wgGEHelpPanelLinks for kowiki

https://gerrit.wikimedia.org/r/483996

revi added a subscriber: kostajh.Jan 13 2019, 7:13 AM

Changeset 483996 is marked [WIP] and not submitted for SWAT because I don't know if Help Panel can accept interwikis.

@kostajh: If the panel can accept this kind of links, I'll put the patch for the next available SWAT slot for merge.

@revi to generate the links in the help panel, we use \MediaWiki\MediaWikiServices::getInstance()->getLinkRenderer()->makeLink() and pass Title::newFromText() as the first argument. On a maintenance server connected to kowiki, I tested \MediaWiki\MediaWikiServices::getInstance()->getLinkRenderer()->makeLink( Title::newFromText( 'mw:Help:VisualEditor/User_guide/ko#사진_편집_및_기타_미디어_파일들') );, and the output was string(213) "<a href="https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ko#사진_편집_및_기타_미디어_파일들" class="extiw" title="mw:Help:VisualEditor/User guide/ko">mw:Help:VisualEditor/User guide/ko</a>". So, I think this will work just fine.

When we SWAT, though, let's double check via a debug server that the help panel renders correctly with the updated links before it's deployed to production.

kostajh reopened this task as Open.Jan 14 2019, 1:39 AM
kostajh moved this task from In Progress to Code Review on the Growth-Team (Current Sprint) board.
revi added a comment.Jan 14 2019, 3:02 PM

Scheduled for deploy on tomorrow's European Mid-Day swat (2100 KST) because morning swat at 0400 is too morning.

Change 483996 merged by jenkins-bot:
[operations/mediawiki-config@master] Change links of wgGEHelpPanelLinks for kowiki

https://gerrit.wikimedia.org/r/483996

Mentioned in SAL (#wikimedia-operations) [2019-01-15T12:14:48Z] <dcausse@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Change links of wgGEHelpPanelLinks for kowiki T209467 (duration: 00m 46s)

revi closed this task as Resolved.Jan 16 2019, 3:18 PM

Deployed. Resolving — again!